Subject: bug#64167: 29.0.92; Ahead-of-time native compilation failed Emacs 29.0.92

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Jun 2023 20:28:22 +0300

> Cc: [email-masked]
> From: Corwin Brust <[email-masked]>
> Date: Mon, 19 Jun 2023 09:33:03 -0500
> 
> On Mon, Jun 19, 2023 at 8:24 AM Eason Huang <[email-masked]> wrote:
> >
> > I try to build Emacs 29.0.92 on Windows 11, the `aot` option have no
> > affect. After I start Emacs, still need to compile the built-in
> > packages, such org,cc-mode and so on.
> 
> I can reproduce this.   Additionally, expressly passing
> --WITH_FULL_AOT=1 to make also has no effect.
> 
> Both appear to work fine for non-release builds (i.e., "snapshot"
> builds made in-tree, vs building from a release tarball as we are
> doing in this case).

The difference is that in the release tarball you have all the *.elc
files up-to-date, so the native-compilation rule doesn't kick in.
Remove all the *.elc file, and I'm guessing that the aot build will
work.

I will need to think how to fix this for a release tarball build.